Package org.stianloader.picoresolve

# Class DependencyLayer.DependencyLayerElement

java.lang.Object
org.stianloader.picoresolve.DependencyLayer.DependencyLayerElement

Enclosing class:
  DependencyLayer

public static class DependencyLayer.DependencyLayerElement extends Object

## Field Summary

Fields
Modifier and Type
Field
Description
`final @Nullable String`
`classifier`
`final @NotNull GAV`
`gav`
`final @NotNull List<DependencyLayer.DependencyEdge>`
`outgoingEdges`
`final @NotNull ExclusionContainer<?>`
`parentExclusions`
`final @NotNull String`
`type`

## Constructor Summary

Constructors
Constructor
Description
`DependencyLayerElement(@NotNull GAV gav, @Nullable String classifier, @Nullable String type, @NotNull ExclusionContainer<?> parentExclusions, @NotNull List<DependencyLayer.DependencyEdge> outgoingEdges)`

## Method Summary

Modifier and Type
Method
Description
`@NotNull DependencyLayer`
`getLayer()`
`@NotNull String`
`toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Field Details

### gav

@NotNull public final @NotNull GAV gav

### classifier

@Nullable public final @Nullable String classifier

### type

@NotNull public final @NotNull String type

### parentExclusions

@NotNull public final @NotNull ExclusionContainer<?> parentExclusions

### outgoingEdges

@NotNull public final @NotNull List<DependencyLayer.DependencyEdge> outgoingEdges

## Constructor Details

### DependencyLayerElement

public DependencyLayerElement(@NotNull @NotNull GAV gav, @Nullable @Nullable String classifier, @Nullable @Nullable String type, @NotNull @NotNull ExclusionContainer<?> parentExclusions, @NotNull @NotNull List<DependencyLayer.DependencyEdge> outgoingEdges)

## Method Details

### getLayer

@NotNull public @NotNull DependencyLayer getLayer()

### toString

@NotNull public @NotNull String toString()

Overrides:
  `toString` in class `Object`